/******************************************************************
** KMyGLCubeSaver - (c) 2010-2012 by Felice Murolo, all rigths reserved
** Author: Felice Murolo, Salerno, Italia
** eMail: linuxboy@RE-MO-VEfel.hopto.org
**
** GNU Lesser General Public License Usage
** KEncFS and it's sources may be used under the terms of the GNU Lesser
** General Public License version 2.1 as published by the Free Software
** Foundation and appearing in the file LICENSE.LGPL included in the
** packaging of this file.  Please review the following information to
** ensure the GNU Lesser General Public License version 2.1 requirements
** will be met: http://www.gnu.org/licenses/old-licenses/lgpl-2.1.html.
**
**/

#ifndef MYGLCUBESAVER_H
#define MYGLCUBESAVER_H

#include <QColor>
#include <kdialog.h>
#include "kscreensaver.h"

class KMyGLCubeSaver : public KScreenSaver
{
	Q_OBJECT
public:
	KMyGLCubeSaver( WId drawable );
	virtual ~KMyGLCubeSaver();

//	void setColor( const QColor &col );

private:
	void readSettings();
	void blank();

private:
};

class KMyGLCubeSetup : public KDialog
{
	Q_OBJECT
public:
	KMyGLCubeSetup( QWidget *parent = NULL, const char *name = NULL );

protected:
	void readSettings();

private Q_SLOTS:
	void slotOk();
	void slot_sp_changeticsec(int);
	void slot_cb_xmove(int);
	void slot_cb_ymove(int);
	void slot_cb_zmove(int);
	void slot_cb_randomview(int);
	void slot_sp_xrot(int);
	void slot_sp_yrot(int);
	void slot_sp_zrot(int);

private:
	QWidget *preview;
	KMyGLCubeSaver *saver;

};

#endif

